#pragma once

namespace frostbite2D {

class Noncopyable {
protected:
  Noncopyable() = default;

private:
  Noncopyable(const Noncopyable&) = delete;
  Noncopyable& operator=(const Noncopyable&) = delete;
};

}
